Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046605 - [abrt] gnome-software: _g_log_abort(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: _g_log_abort(): gnome-software killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9245028c2aedbb6d4b308c188d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 09:52 UTC by Elad Alfassa
Modified: 2015-06-29 13:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:49:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.63 KB, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: core_backtrace (25.93 KB, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: dso_list (10.89 KB, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: environ (3.13 KB, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-26 09:52 UTC, Elad Alfassa
no flags Details
File: maps (61.37 KB, text/plain)
2013-12-26 09:53 UTC, Elad Alfassa
no flags Details
File: open_fds (537 bytes, text/plain)
2013-12-26 09:53 UTC, Elad Alfassa
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-12-26 09:53 UTC, Elad Alfassa
no flags Details
File: var_log_messages (194 bytes, text/plain)
2013-12-26 09:53 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2013-12-26 09:52:42 UTC
Description of problem:
Installed geary, alt-tabbed away from gnome-software while it was installing

(gnome-software:3346): Gs-DEBUG: Show application 'geary' from source 'geary'
(gnome-software:3346): Gs-DEBUG: run gs_plugin_app_install on /usr/lib64/gs-plugins/libgs_plugin_packagekit.so
(gnome-software:3346): PackageKit-DEBUG: adding state 0x15152f0
(gnome-software:3346): PackageKit-DEBUG: role now install-packages
(gnome-software:3346): Gs-DEBUG: emitting waiting(<general>)
(gnome-software:3346): Gs-DEBUG: emitting setup(<general>)
(gnome-software:3346): Gs-DEBUG: emitting querying(<general>)
(gnome-software:3346): Gs-DEBUG: emitting downloading(<general>)
(gnome-software:3346): Gs-DEBUG: emitting querying(<general>)
(gnome-software:3346): Gs-DEBUG: emitting setup(<general>)
(gnome-software:3346): Gs-DEBUG: emitting installing(<general>)
(gnome-software:3346): Gs-DEBUG: emitting querying(<general>)
(gnome-software:3346): PackageKit-DEBUG: remove state 0x15152f0
(gnome-software:3346): Gs-DEBUG: packagekit(gs_plugin_app_install) took 9045ms
(gnome-software:3346): Gs-DEBUG: emitting finished(<general>)

(gnome-software:3346): Gtk-CRITICAL **: gtk_widget_realize: assertion 'widget->priv->anchored || GTK_IS_INVISIBLE (widget)' failed

(gnome-software:3346): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
**
Gtk:ERROR:gtkwidget.c:11531:gtk_widget_real_map: assertion failed: (gtk_widget_get_realized (widget))
Aborted (core dumped)

Version-Release number of selected component:
gnome-software-3.10.4-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-software -v
crash_function: _g_log_abort
executable:     /usr/bin/gnome-software
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gtk_widget_real_map at gtkwidget.c:11531
 #6 gtk_label_map at gtklabel.c:4396
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gtk_widget_map at gtkwidget.c:4528
 #11 gtk_container_map at gtkcontainer.c:3387
 #12 gtk_button_map at gtkbutton.c:1577
 #13 _g_closure_invoke_va at gclosure.c:840
 #16 gtk_widget_map at gtkwidget.c:4528
 #21 gtk_widget_show at gtkwidget.c:4336

Comment 1 Elad Alfassa 2013-12-26 09:52:47 UTC
Created attachment 841818 [details]
File: backtrace

Comment 2 Elad Alfassa 2013-12-26 09:52:50 UTC
Created attachment 841819 [details]
File: cgroup

Comment 3 Elad Alfassa 2013-12-26 09:52:53 UTC
Created attachment 841820 [details]
File: core_backtrace

Comment 4 Elad Alfassa 2013-12-26 09:52:55 UTC
Created attachment 841821 [details]
File: dso_list

Comment 5 Elad Alfassa 2013-12-26 09:52:57 UTC
Created attachment 841822 [details]
File: environ

Comment 6 Elad Alfassa 2013-12-26 09:52:59 UTC
Created attachment 841823 [details]
File: limits

Comment 7 Elad Alfassa 2013-12-26 09:53:02 UTC
Created attachment 841824 [details]
File: maps

Comment 8 Elad Alfassa 2013-12-26 09:53:04 UTC
Created attachment 841825 [details]
File: open_fds

Comment 9 Elad Alfassa 2013-12-26 09:53:06 UTC
Created attachment 841826 [details]
File: proc_pid_status

Comment 10 Elad Alfassa 2013-12-26 09:53:08 UTC
Created attachment 841827 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:10:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 13:49:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.